# browserd (8)

## Samba-TNG

## 20 Aug 2005

## NAME

browserd - Browse list daemon

## SYNOPSIS

browserd [-d debuglevel] [-D] [-s servicesfile] [-l basename for log file] [-h] [-V]

## DESCRIPTION

This daemon is part of the Samba-TNG suite.

The browserd daemon is designed to control all of the browsing services much like the Windows NT 'Browser' service. The tasks performed can include keeping the browse list, answering queries and synchronising browse lists with other browse list holders.

Besides browserd the daemon nmbd still takes care of all browse list services.

This daemon should be run on a Samba-TNG server that is to hold a browse list (ie, if you answered 'yes' to domain master = , local master = or preferred master = lines in your smb.conf).

## OPTIONS

-d debuglevel
  sets the debuglevel to an integer between 0 and 100. 0 is for no debugging and 100 is for reams and reams. To submit a bug report to the Samba-TNG Team, use debug level 100 (see BUGS.txt).

-D
  tells browserd to become a daemon and detach from the current terminal. This should be used for the most part.

-s servicesfile
  specifies the location of the services file. The default being /etc/services.

-l basename for log file
  sets the basename of the log file. The default is log and .browserd will be appended to the file name.

-h
  Prints the help information (usage) for browserd.

-V
  Prints the version number.

## SEE ALSO

nmbd(8), samba(7), smbd(8), smb.conf(5)

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell.

Samba-TNG is now developed by the Samba-TNG Team as an independent Open Source project. Take a look at the Samba-TNG Forum for more informations.

This manual page originally was written 2000 by Matthew Geddes.

2005 the manpage was adapted to the current version of the Samba-TNG project.